Subject: bug#14776: 24.3.50; [PATCH] parse-time-string performance

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 06 Jul 2013 17:34:09 +0200

Andreas Politz <[email-masked]> writes:

> I only considered the strict version.  Of course 2-digit years could be
> incorporated, but I don't see this as a replacement anyway, rather an
> addition or alternative: Try the rfc2822 format and fallback on the
> current code:

I see no reason to keep both the old 10x slower version and the new fast
version.  The fast version could surely be made to parse all valid(ish)
RFC822 date headers?

I think there's a corpus of date headers to test with out there
somewhere, but I can't find it at the moment..

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/